<?php
/*
Plugin Name: Export image metadata
Description: Export the image properties and tags from the database to a batch script. This script will tag the files and set the data in IPTC fields
Author: Eric B, inspired from Tags2File MOD from Nicco
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=292
Version: 0.2
*/

/*
Changelog :

v0.1, 2009-05-18: first beta, major pb with character encoding
v0.2, 2009-05-18: fix GUI, german translation, extended description (multi lingual), batch for both exiftool & exiv2. Character encoding pb solved under Windows: exiv2 requires ANSI file, whereas exiftool can also use UTF-8. Characters displayed in Ansi/latin-1 in command line (cp1252)

v1.0 : release

*/

add_event_handler('get_admin_plugin_menu_links', 'db_export_image_metadata' );

function db_export_image_metadata($menu)
{
	array_push($menu,
		array(
			'NAME' => 'Export image metadata',
			'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/db_export_image_metadata.php')
		)
	);
	return $menu;
}

?>
